%{!?perl_version: %define perl_version %(eval "`%{__perl} -V:version`"; echo $version)}
%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}

%define modn   Crypt-Blowfish_PP
%define modv   1.12


Summary:       A Perl extension for Blowfish encryption
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       LGPL
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/M/MA/MATTBM/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Matthew Byng-Maddick <mbm+cpan@colondot.net>
Provides:      perl(Crypt::Blowfish_PP) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:     noarch


%description
The Crypt::Blowfish_PP module provides for users to use the Blowfish
encryption algorithm in Perl. The implementation is entirely Object
Oriented, as there is quite a lot of context inherent in making it as
fast as it is. The key is anywhere between 64 and 448 bits (8 and 56
bytes), and should be passed as a packed string. The transformation
itself is a 16-round Feistel Network, and operates on a 64 bit block.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGELOG README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Sun Jun 08 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.12-1
- Initial build
